### Property

# WebKit WebsiteDataManager:total-storage-ratio

since: 2.42

#### Declaration

    property total-storage-ratio: double [ write, construct-only ]

#### Description [src]

The percentage of volume space that can be used for data storage for all domains. If the maximum storage is reached the eviction will happen. A value of 0.0 means that data storage is not allowed. A value of -1.0, which is the default, means there’s no limit for the total storage.

Type: | `gdouble`
Available since: | 2.42

#### Flags

Readable | no
Writable | yes
Construct | no
Construct only | yes